ServerEvents.tags('fluid', event => {
	
// Tags for raw crystal catalyst
event.add('forge:refined_fuel', 'thermal:refined_fuel')
event.add('kubejs:supercritical_steam', 'kubejs:supercritical_steam')
event.add('kubejs:glowing_fuel', 'kubejs:glowing_fuel')
	
})

ServerEvents.recipes(event => {

// Draconium Dust alt recipe
event.recipes.thermal.smelter('64x draconicevolution:draconium_dust', ['minecraft:dragon_egg', 'minecraft:nether_star', '64x thermal_extra:ancient_dust']).energy(30000)

// Draconium Core
event.replaceInput(
  { output: 'draconicevolution:draconium_core' },
  'minecraft:gold_ingot',
  'kubejs:prisma_dust'
)

event.replaceInput(
  { output: 'draconicevolution:draconium_core' },
  'minecraft:diamond',
  'mekanism:ultimate_control_circuit'
)

// Awakened Draconium Adjustment in data folder

// Dragon heart auto chain
event.custom({
  "type": "draconicevolution:fusion_crafting",
  "catalyst": {
    "item": "enderio:octadic_capacitor"
  },
  "ingredients": [
    {
      "item": "draconicevolution:draconium_block"
    },
    {
      "item": "draconicevolution:wyvern_energy_core"
    },
	{
      "item": "immersiveengineering:coil_hv"
    },
	{
      "item": "enderio:energetic_alloy_block"
    }
  ],
  "result": {
    "item": "kubejs:inert_draconic_coil"
  },
  "tier": "WYVERN",
  "total_energy": 100000000
})

event.recipes.immersiveengineering.arc_furnace('kubejs:blazing_draconic_coil', 'kubejs:inert_draconic_coil', [], 'mekanism:dust_steel', 100, 1000000000)

event.custom({
	"type":"immersiveengineering:crusher",
	"energy":1600,
	"input":{
		"item":"minecraft:dragon_egg"
	},
	"result":{
		"count":1,
		"item":"kubejs:weak_dragon_heart"
	},
	"secondaries":[]
})

// Fluid Mixing
event.custom({
	"type":"immersiveengineering:refinery",
	"energy":80,
	"input0":{
		"amount":8,
		"tag":"forge:steam"
	},
	"input1":{
		"amount":8,
		"tag":"forge:superheated_sodium"
	},
	"result":{
		"amount":16,
		"fluid":"kubejs:supercritical_steam"
	}
})

event.custom({
	"type":"immersiveengineering:refinery",
	"energy":80,
	"input0":{
		"amount":8,
		"tag":"forge:refined_fuel"
	},
	"input1":{
		"amount":8,
		"tag":"forge:glowstone"
	},
	"result":{
		"amount":16,
		"fluid":"kubejs:glowing_fuel"
	}
})

event.custom({
	"type":"immersiveengineering:refinery",
	"catalyst":{
		"item":"botania:blaze_block"
	},
	"energy":80,
	"input0":{
		"amount":8,
		"tag":"kubejs:supercritical_steam"
	},
	"input1":{
		"amount":8,
		"tag":"kubejs:glowing_fuel"
	},
	"result":{
		"amount":16,
		"fluid":"kubejs:simmering_blaze"
	}
})

// Okay just mix the heart already
event.recipes.create.mixing(['draconicevolution:dragon_heart', 'kubejs:inert_draconic_coil'], ['kubejs:weak_dragon_heart', 'kubejs:blazing_draconic_coil', Fluid.of(('kubejs:simmering_blaze'), 1000)]).superheated()

})